Get the comments of the tasks of a project, page by page. Synchronization tools use this route. Clients and vendors cannot use this route.
Query parameters
-
Number of rows in a page
Default value is
100. -
Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit
-
Page to get. Without page nor limit, the route returns all the comments in a list.
GET
/data/projects/{project_id}/comments
curl
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/comments?limit=100" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/comments"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"limit": 100
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"object_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"person_id": "c24a6ea4-ce75-4665-a070-57453082c250",
"text": "This task looks good",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
]